image: alpine/edge
packages:
  - qt5-qtbase
  - cmake
  - gcc
  - curl
sources:
  - https://hg.sr.ht/~mrpapersonic/minori
environment:
  BUILD_SUBMITTER: hg.sr.ht
tasks:
  - build: |
      cd minori
      mkdir build
      cd build
      cmake .. -G "Unix Makefiles"
      make
triggers:
  - action: email
    condition: failure
    to: Paper <mrpapersonic@gmail.com>